# aclnnInit

## 接口原型
aclnnStatus aclnnInit(const char *configPath)

## 功能描述
aclnn的初始化接口，在调用aclnn接口前需要先进行aclnn的初始化。调用aclnnInit或aclInit接口，均可实现aclnn的初始化，二者区别在于aclnnInit接口仅完成aclnn的初始化，aclInit接口可完成AscendCL中各子功能（包含aclnn）的初始化，aclnnInit相对于aclInit初始化接口更轻量一些。

## 参数说明
configPath（输入）：aclnn的初始化配置文件所在路径（包含文件名），开发者可通过此配置开启aclnn接口的debug调试能力。默认为NULL。
配置文件需要为json格式，例如，configPath的取值为“/home/acl.json”，acl.json的配置示例如下：
{
  "op_debug_config":{
  "enable_debug_kernel":"on",
  }
}
配置项“enable_debug_kernel”支持的取值如下：
- on：开启aclnn接口的debug调试能力，即算子在执行过程中会检测Global Memory是否内存越界，内部流水线是否同步等操作。
- off：不开启aclnn接口的debug调试能力。
默认值为off。  

## 返回值
返回0表示成功，返回其它值表示失败。

## 约束与限制
- 本接口需要与aclnnFinalize接口配套使用，分别完成aclnn的初始化与去初始化。
- 一个进程内只能调用一次aclnnInit接口。